{% extends 'master/master.html '%} {% block content %} {% load cart_tag %}
<form method="POST" action="{% url 'placeorder'%}">
    {% csrf_token %}
    <div class="container">
        <div class="row">

            <div class="col-md-4 order-md-2 mb-4">

                <h4 class="d-flex justify-content-between align-items-center mb-3">
                    <span class="text-muted">Your cart</span>
                    <span class="badge badge-secondary badge-pill">{{request.session.cart|length}}</span>
                </h4>

                <ul class="list-group mb-3">
                    {% for key,value in request.session.cart.items %}
                    <li class="list-group-item d-flex justify-content-between lh-condensed">

                        <div>
                            <h6 class="my-0">{{ value.name }}</h6>
                            <span class="text-muted">Rs: {{ value.price }}</span>
                        </div>
                        <span>{{value.quantity}}</span>
                        <span class="text-muted">Rs:{{ value.price|multiply:value.quantity }}</span>
                    </li>
                    {% endfor %}

                    <li class="list-group-item d-flex justify-content-between bg-light">
                        <div class="text">
                            <h6 class="my-0">Shipping Charge</h6>
                        </div>
                        <span class="text-muted">Rs:100</span>
                    </li>
                    <li class="list-group-item d-flex justify-content-between bg-light">
                        <div class="text">
                            <h6 class="my-0">Tax</h6>
                        </div>
                        <span class="text-muted">Rs:100</span>
                    </li>
                    <li class="list-group-item d-flex justify-content-between">
                        <span>Total (Rs)</span>
                        <input type="text" class="form-control" id="inputGroup-sizing-sm" name="total" value="{{cart_total_amount|add:100.00|add:100.00}}" />
                    </li>
                    <li class="list-group-item d-flex justify-content-between">
                        <div>
                            <h6 class="my-0">Payment</h6>
                        </div>
                        <span>
                    <select class="custom-select d-block w-100 input-group-text" name="payment" required>
                    <option name="cash">Cash On Delivery</option>
                    <option name="wallet" >Khalti</option>
                    </select>
                   </span>
                    </li>
                </ul>


                <div class="input-group">
                    <button class="btn btn-dark btn-block btn-lg" data-mdb-ripple-color="dark" type="submit"  onclick="href = 'placeholder'">Continue </button>
                    <a href="{% url 'cart_detail' %}" type="submit" class="btn btn-dark btn-block btn-lg" data-mdb-ripple-color="dark"> Update Cart</a>


                </div>

            </div>
            <div class=" col-md-8 order-md-1 ">
                <h4 class="mb-3 ">Billing address</h4>


                <div class="row ">
                    <div class="col-md-6 mb-3 ">
                        <label for="username ">Username</label>
                        <div class="input-group ">
                            <input type="text" class="form-control" id="username" name="username" value="{{user.username}}" />
                        </div>
                    </div>
                    <div class="col-md-6 mb-3 ">
                        <label for="address ">Contact </label>
                        <input type="text " class="form-control" placeholder="Contact Number" name="number" required/>
                    </div>
                </div>
                <div class="row ">
                    <div class="col-md-6 mb-3 ">
                        <label for="firstName ">First name</label>
                        <input type="text " class="form-control" name="firstname" value="{{user.first_name}}"/>
                    </div>
                    <div class="col-md-6 mb-3 ">
                        <label for="lastName ">Last name</label>
                        <input type="text" class="form-control" name="lastname" value="{{user.last_name}}"/>
                    </div>
                </div>
                <div class="row ">
                    <div class="col-md-6 mb-3 ">
                        <label for="email">Email</label>
                        <input type="email" class="form-control" name="email" value="{{user.email}}"/>
                    </div>

                    <div class="col-md-6 mb-3 ">
                        <label for="address">Address</label>
                        <input type="text" class="form-control" placeholder="Address" name="address" required/>
                    </div>

                </div>

                <div class="mb-3 ">
                    <label for="description ">Additional Description</label>
                    <input type="text" class="form-control" id="a" placeholder="Additional Information" name="description" style="height:200px" required/>

                </div>


            </div>

        </div>

    </div>
</form>


{% endblock %}